@charset "UTF-8";

.c-step {
    display: block;
    width: 100%;
}

.c-step__list {
    display: flex;
    align-items: flex-start;
    align-content: flex-start;
    justify-items: center;
    justify-content: center;
    width: 100%;
    counter-reset: item;
}

.c-step__list__item {
    display: block;
    width: auto;
    min-width: 120px;
    font-size: 20px;
    line-height: 1;
    color: #44464e;
    font-family: 'NotoSansTC-B';
    text-align: center;
    margin: 0 75px; 
    counter-increment: item;
}

.c-step__list__item::before {
    content: counter(item, decimal);
    position: relative;
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: center;
    justify-content: center;
    width: 70px;
    height: 70px;
    font-size: 18px;
    line-height: 1px;
    color: #00c8c8;
    font-family: 'Poppins-EB';
    margin: 0 auto 10px auto;
    border-radius: 50%;
    border: 2px solid #00c8c8;
}

.c-step__list__item::after {
    content: '';
    position: absolute;
    top: 34px;
    left: calc(100% - 15px);
    display: block;
    width: 180px;
    height: 2px;
    background: #00c8c8;
}

.c-step__list__item.active:after,
.c-step__list__item.active ~.c-step__list__item:after {
    background: #dfe1ea;
}

.c-step__list__item:last-child:after {
    display: none;
}

.c-step__list__item__text {
    display: block;
    width: 100%;
}

/****啟動樣式****/
.c-step__list__item.active~.c-step__list__item {
    color: #d0d1d9;
}

.c-step__list__item.active~.c-step__list__item::before {
    color: #d0d1d9;
    border-color: #d0d1d9;
}

@media screen and (max-width: 991px) {
    .c-step__list__item {
        font-size: 17px;
        margin: 0 45px;
    }

    .c-step__list__item::before {
        width: 50px;
        height: 50px;
    }

    .c-step__list__item::after {
        top: 24px;
        left: calc(100% - 20px);
        width: 130px;
    }
}

@media screen and (max-width: 767px) {}

@media screen and (max-width: 575px) {
    .c-step__list__item {
        min-width: 90px;
        font-size: 15px;
        margin: 0 20px;
    }

    .c-step__list__item::before {
        width: 30px;
        height: 30px;
        font-size: 14px;
        margin: 0 auto 7.5px auto;
    }

    .c-step__list__item::after {
        top: 14px;
        left: calc(100% - 10px);
        width: 60px;
    }
}



/****IOS樣式****/
@supports (-webkit-touch-callout: none) {}